:root {
    --light: #f7f0eb;
    --accent: #d1ab86;
    --dark: #38332c;
  }

body {
    margin: 0;
    padding: 0;
    background-image: none;
    background-color: var(--light);
}



/* Main section */
.filmDisplaySection {
    padding: 10% 5% 5% 5%;
}


/* Movie title line */
.titleAcrossLine {
    width: 100%;
    margin: 0;
    padding: 0;
}
  
.mainFilmTitle {
    font-weight: 200;
    font-size: 2.5rem;
    margin: 0 0 5% 20%;
}
  
  
/* Fancy title line */
.mainFilmTitle {
    line-height: 0;
}
  
.mainFilmTitle span {
    display: inline-block;
    position: relative;  
}

.mainFilmTitle span:before,
.mainFilmTitle span:after {
    content: "";
    position: absolute;
    border-bottom: 1px solid var(--dark);
    top: 0;
}

.mainFilmTitle span:before {
    right: 100%;
    margin-right: 8%;
    width: 50%;
}

.mainFilmTitle span:after {
    left: 100%;
    margin-left: 8%;
    width: 140%;
}

/* Film display */
.filmAlignCenter {
    display: flex;
    justify-content: center;
}

.filmDisplayVideo {
    aspect-ratio: 16 / 9;
    width: 60%;
    border: 1px solid rgb(153, 153, 153);
}


/* Text under film */
.filmDisplayTextContents {
    padding: 0 20% 0 20%;
    max-height: 90%;
}

.filmDisplayTextTitle {
    margin: 2% 0 0 0;
    font-size: 1.3rem;
}

.filmsButton {
    margin: 0;
    padding: 0;
}

.arrowLeft {
    border: solid var(--dark);
    border-width: 0 1px 1px 0;
    display: inline-block;
    padding: 4px;
    margin: 1px;
    transform: rotate(135deg);
    -webkit-transform: rotate(135deg);
}



@media screen and (max-width: 1300px) {  
    .mainFilmTitle span:before {
        right: 100%;
        margin-right: 8%;
        width: 30%;
    }
    
    .mainFilmTitle span:after {
        left: 100%;
        margin-left: 8%;
        width: 80%;
    }
}


@media screen and (max-width: 1050px) {  
    .mainFilmTitle {
        font-weight: 200;
        font-size: 2rem;
        margin: 3% 0 5% 20%;
    }
    
    .mainFilmTitle span:before {
        right: 100%;
        margin-right: 8%;
        width: 30%;
    }
    
    .mainFilmTitle span:after {
        left: 100%;
        margin-left: 8%;
        width: 80%;
    }
    
    .filmDisplayTextTitle {
        margin: 2% 0 0 0;
        font-size: 1.1rem;
    }

    .filmDisplayTextBody {
        font-size: 1rem;
    }
}


@media screen and (max-width: 780px) {  
    .mainFilmTitle {
        font-weight: 200;
        font-size: 2rem;
        margin: 6% 0 5% 20%;
    }
    
    .mainFilmTitle span:before {
        right: 100%;
        margin-right: 8%;
        width: 20%;
    }
    
    .mainFilmTitle span:after {
        left: 100%;
        margin-left: 8%;
        width: 55%;
    }
    
    .filmDisplayTextTitle {
        margin: 2% 0 0 0;
        font-size: 1.1rem;
    }

    .filmDisplayTextBody {
        font-size: 1rem;
    }
}

@media screen and (max-width: 690px) {  
    .mainFilmTitle {
        font-weight: 200;
        font-size: 2rem;
        margin: 6% 0 5% 20%;
    }
    
    .mainFilmTitle span:before {
        right: 100%;
        margin-right: 5%;
        width: 20%;
    }
    
    .mainFilmTitle span:after {
        left: 100%;
        margin-left: 5%;
        width: 30%;
    }
    
    .filmDisplayTextTitle {
        margin: 2% 0 0 0;
        font-size: 1.1rem;
    }

    .filmDisplayTextBody {
        font-size: 1rem;
    }
}


@media screen and (max-width: 560px) {  
    .mainFilmTitle {
        font-weight: 200;
        font-size: 1.8rem;
        margin: 10% 0 5% 20%;
    }
    
    .mainFilmTitle span:before {
        right: 100%;
        margin-right: 5%;
        width: 20%;
    }
    
    .mainFilmTitle span:after {
        left: 100%;
        margin-left: 5%;
        width: 30%;
    }
    
    .filmDisplayTextTitle {
        margin: 2% 0 0 0;
        font-size: 1.1rem;
    }

    .filmDisplayTextBody {
        font-size: .9rem;
    }
}


@media screen and (max-width: 560px) {  
    .filmDisplaySection {
        padding: 10% 5% 5% 5%;
        height: 100%;
    }
    
    .mainFilmTitle {
        font-weight: 200;
        font-size: 1.8rem;
        margin: 14% 0 5% 20%;
        line-height: normal;
    }
    
    .mainFilmTitle span:before {
        display: none;
    }
    
    .mainFilmTitle span:after {
        display: none;
    }
    
    .filmDisplayTextTitle {
        margin: 2% 0 0 0;
        font-size: 1.1rem;
    }

    .filmDisplayTextBody {
        font-size: .9rem;
    }
}